View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0018012LazarusIDEpublic2010-11-21 19:332012-04-30 23:40
ReporterSerguei TARASSOV 
Assigned ToMartin Friebe 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionunable to reproduce 
PlatformWin32OSWin32/64OS VersionVista, XP
Product VersionProduct Build0.9.29 r28360 
Target Version1.2.0Fixed in Version 
Summary0018012: Code editor window lost focus on build
DescriptionWhen project is successfully compiled, the messages window become active but code editor window lost focus.
To continue writing code developer need to click on editor window.
TagsNo tags attached.
Fixed in Revision
LazTarget1.2
Widgetset
Attached Files

- Relationships
related to 0001497acknowledged Option to bring the Messages window to top 

-  Notes
(0043377)
Teemu Valo (reporter)
2010-11-22 18:11

I don't know if related to this but if there have been attempt to give code editor more focus, it made new bug:

When selecting any object in IDE and doubleclicking an event such as onClick to open its code editor, then when i click once any item on form it opens up and focuses code editor. Only fix i know to that is restarting Lazarus.
(0043437)
ivan17 (reporter)
2010-11-23 22:41

I too have a problem with this issue, especially when on successful compilation I have to manually give focus to source editor.

Solution I would prefer is an option (because of others who wouldn't agree) never to give focus to message window (and still highlight first error if any).

Partial solution (for me) would be to have <enter> key in message dialog jump to appropriate place and give focus to source editor (double-click does that already). Also, hitting it on success-message should work the same way, but without moving the cursor.
(0056401)
Zeljan Rikalo (developer)
2012-02-04 13:35

Not blocker, postponed
(0056503)
Martin Friebe (manager)
2012-02-05 03:33

Does the issue still happen with 0.9.31 ?

There is an option: "Tools" Menu > "Options" > "Environment" > "Desktop":
  "Focus messages after compilation"

If it still happens:
Compilation started via
- keyboard shortcut (ctrl-F9) (compile, but nut run)
- Menu (for me, does set focus to main menu bar anyway)
- Other ?
Please attach environmentoptions.xml and editoroptions.xml
(0059152)
Martin Friebe (manager)
2012-04-30 23:40

No feedback received.

I was no longer able to reproduce myself. The issue may have been fixed in the meantime.

If the issue still occurs, then please reopen, and provide feedback

- Issue History
Date Modified Username Field Change
2010-11-21 19:33 Serguei TARASSOV New Issue
2010-11-21 19:39 Jonas Maebe Project FPC => Lazarus
2010-11-22 10:14 Vincent Snijders LazTarget => 1.0
2010-11-22 10:14 Vincent Snijders Status new => acknowledged
2010-11-22 10:14 Vincent Snijders Target Version => 1.0.0
2010-11-22 11:16 Vincent Snijders Relationship added related to 0001497
2010-11-22 18:11 Teemu Valo Note Added: 0043377
2010-11-23 22:41 ivan17 Note Added: 0043437
2012-02-04 13:34 Zeljan Rikalo Status acknowledged => assigned
2012-02-04 13:34 Zeljan Rikalo Assigned To => Martin Friebe
2012-02-04 13:35 Zeljan Rikalo LazTarget 1.0 => 1.2
2012-02-04 13:35 Zeljan Rikalo Note Added: 0056401
2012-02-04 13:35 Zeljan Rikalo Product Version 2.4.3 =>
2012-02-05 03:33 Martin Friebe Note Added: 0056503
2012-02-05 03:33 Martin Friebe Status assigned => feedback
2012-03-13 07:50 Vincent Snijders Target Version 1.0.0 => 1.2.0
2012-04-30 23:40 Martin Friebe Status feedback => resolved
2012-04-30 23:40 Martin Friebe Resolution open => unable to reproduce
2012-04-30 23:40 Martin Friebe Note Added: 0059152



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker